using UrsComPortExtensions;

namespace ComPortExtension
{
   public partial class Form1 : Form
   {
      public Form1()
      {
         InitializeComponent();
      }

      private void Form1_Load(object sender, EventArgs e)
      {
         lblNameFilter.Text = "";
         comPortSelector.UpdateList();
      }

      private void comPortSelector_ComPortFound(object sender, ComPortFoundEventArgs e)
      {
         e.ComPortDescriptor.DisplayName += " " + e.ComPortDescriptor.SerialNo;
      }

      private void cmdApply_Click(object sender, EventArgs e)
      {
         lblNameFilter.Text = tbNameFilter.Text;
         comPortSelector.UpdateList(tbNameFilter.Text);
      }

      private void comPortSelector_DeviceAdded(object sender, UrsComPortExtensions.DeviceChangedEventArgs e)
      {
         comPortSelector.UpdateList();
      }

      private void comPortSelector_DeviceRemoved(object sender, UrsComPortExtensions.DeviceChangedEventArgs e)
      {
         comPortSelector.UpdateList();
      }
   }
}